<?php

define('IN_SYSTEM', 'index');
include('./Source/Inc/common.inc.php');
include('./Source/Inc/app.inc.php');

# 调用应用文件: 计算第一组get的使用, 比如 key=val, 当key在app中为目录时, 那就会引入key目录的val php文件
# 调用模板文件: 
# 1: 某个应用中的tpl目录: ./App/run_default/tpl/ (第一步搜索这目录中的模板)
# 2: 通用型应用模板目录: ./App/default_tpl/ (当1不存在时搜索这目录)
# 3: 全局模板路径: ./Static/Default/ (当1,2都不存在时, 最后搜索的模板目录)
$common_tpl_arr = array();
$common_tpl_arr[0] = DIR_APP."run_default/tpl/";
if(is_dir(DIR_APP.'run_'.$default_parem[1].'/') === true){
    define('TPL_RUN', DIR_APP."run_{$default_parem[1]}/{$default_parem[2]}.inc.php");
    $common_tpl_arr[0] = DIR_APP."run_{$default_parem[1]}/tpl/";
   
}else if(is_file(DIR_APP."run_default/{$default_parem[1]}.inc.php") === true){
    define('TPL_RUN', DIR_APP."run_default/{$default_parem[1]}.inc.php"); 
}else if (is_file(DIR_APP."run_default/main.inc.php") === true){
    $default_parem[2] = 'default';
    define('TPL_RUN', DIR_APP."run_default/main.inc.php");
}
$common_tpl_arr[1] = DIR_APP."default_tpl/";

include(TPL_RUN);